/*
 * Collapse
 *
 * Index
 * - Collapse
 * - Content
 * - Button
 */

/**
 * @prop --btn-padding-start: Left padding  of the button
 * @prop --btn-padding-end: Right padding of the button
 * @prop --btn-margin-bottom: Bottom margin of the button
 * @prop --btn-font-size: Font size of the text button
 * @prop --max-height: maximum height of the collapse content
 */

/* COLLAPSE
 -------------------- */

:host {
  --btn-margin-bottom: 1rem;
  --btn-padding-start: 1rem;
  --btn-padding-end: 1rem;
  --btn-font-size: 1rem;
  --max-height: 500px;

  display: block;
}

/* CONTENT
 -------------------- */

.collapsed-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease-in-out;
}

/**
 * Open state
 */

.collapse-open {
  max-height: var(--max-height);
}

/* BUTTON
 -------------------- */

.collapse-btn {
  --margin-bottom: var(--btn-margin-bottom);
  --border-radius: var(--btn-border-radius);
  --padding-start: var(--btn-padding-start);
  --padding-end: var(--btn-padding-end);
  --font-size: var(--btn-font-size);
}

.collapse-btn:focus {
  outline: 1px solid var(--road-link-primary);
}

.collapse-btn-centered {
  display: flex;
  justify-content: center;
}
